﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using MyStackGeneric;
using WolfPack;

namespace UnitTestMyStack
{
    [TestClass]
    public class UnitTestMyStackGeneric
    {
        private MyStack<int> myIntStackGeneric;
        private MyStack<Wolf> myWolfStackGeneric;

        [TestInitialize] //kaldes før hvert kald af TestMetoderne
        public void BeforeTest()
        {
            myIntStackGeneric = new MyStack<int>(2);
            myWolfStackGeneric = new MyStack<Wolf>(2);
        }

        [TestMethod]
        public void TestPushPopInt()
        {
            myIntStackGeneric.Push(5);
            int expected = 5;
            int actual = myIntStackGeneric.Pop();

            Assert.AreEqual(expected, actual);
        }

        [TestMethod]
        public void TestPushPopWolf()
        {
            Wolf expected = new Wolf("Lille Stygge Ulv", "Male");
            myWolfStackGeneric.Push(expected);
            
            Wolf actual = myWolfStackGeneric.Pop();

            Assert.AreEqual(expected, actual);
        }
    }
}
